Bulk delete questions (cascade)
DELETE
/v2/questions/bulk-delete
const url = 'https://api.surveycoder.io/v2/questions/bulk-delete';const options = { method: 'DELETE', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"project_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","question_ids":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.surveycoder.io/v2/questions/bulk-delete \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "project_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "question_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
project_id
required
string format: uuid
question_ids
required
Array<string>
Example generated
{ "project_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "question_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}Responses
Section titled “ Responses ”Questions deleted